/*
	MSWindow.h
	
	Version 1.0d6
	
	Copyright  SRL Data 1992, 1993
	
	All rights reserved.
	
	Produced by : SRL Data
	Originally Developed for UK.DTS
*/

#ifndef __MSWINDOW__
#define __MSWINDOW__

#include <Memory.h>
#include <Types.h>
#include <Quickdraw.h>
#include <Fonts.h>
#include <ToolUtils.h>
#include <Traps.h>
#include "MSGlobals.h"
#include "MSUtils.h"
#include "MSEditions.h"
#include "MSAppleEvents.h"

pascal DPtr DPtrFromWindowPtr(WindowPtr w);

pascal void MyGrowWindow(WindowPtr w,
                         Point     p);

pascal void DoZoom(WindowPtr w, short c, Point p);

pascal void DoContent(WindowPtr theWindow, EventRecord theEvent);

pascal OSErr DoActivate(WindowPtr theWindow, Boolean   activate);

pascal void DoUpdate(DPtr theDoc);

pascal DPtr NewDocument(Boolean isForOldDoc);

pascal void CloseMyWindow(WindowPtr aWindow);

pascal void ShowSelect(DPtr theDoc);

pascal void AdjustScrollbars(DPtr theDoc, Boolean needsResize);
													 
pascal void GetWinContentRect(WindowPtr theWindow, Rect *r);

pascal void ResizeWindow(DPtr theDoc);

pascal void ResizePageSetupForDocument(DPtr theDoc);

pascal void InvalidateDocument(DPtr theDoc);

pascal void DrawPageExtras(DPtr theDoc);

pascal void PrintWindow(DPtr theDoc, Boolean askUser);

#endif