// SVAEGetData.h
//
// 7Edit 3.1d1. Original version by Jon Lansdell and Nigel Humphreys.
// 3.1 updates by Greg Sutton.
// Apple Computer Inc 1995, all rights reserved.

#ifndef __SVAEGETDATA__
#define __SVAEGETDATA__

#include <AppleEvents.h>
#include <AEObjects.h>
#include <AERegistry.h>


#include "SVToken.h"


pascal OSErr	DoGetData(const AppleEvent	*theAppleEvent,
								AppleEvent	*reply,
								long		handlerRefCon);

pascal OSErr	DoGetDataSize(const AppleEvent	*theAppleEvent,
									AppleEvent	*reply,
									long		handlerRefCon);

OSErr			HandleGetData(AEDesc *theObj, AEDesc *dataDesc);

OSErr 			GetTextProperty(const AEDesc *theTokenDesc, AEDesc *dataDesc);
OSErr			GetWindowProperty(const AEDesc *theWPTokenObj, AEDesc *dataDesc);
OSErr			GetApplicationProperty(const AEDesc *theObjToken, AEDesc *result);
OSErr			GetMenuProperty(const AEDesc *theObjToken, AEDesc *dataDesc);
OSErr			GetMenuItemProperty(const AEDesc *theObjToken, AEDesc *dataDesc);

OSErr			GetTextTextProperty(TextToken* theToken, AEDesc *dataDesc);
#endif
