{////////////////////////////////////////////////////////////////////////////////}
{// OPEN SCRIPTING ARCHITECTURE: Component Implementor's Interface}
{////////////////////////////////////////////////////////////////////////////////}
{// Copyright  1992 Apple Computer, Inc. All rights reserved.}
{// Authors: Jens Alfke, William Cook, Donn Denman, and Warren Harris}
{////////////////////////////////////////////////////////////////////////////////}
{// // Routines for Associating a Storage Type with a Script Data Handle }

unit OSAComp;
interface
	uses
		AppleEvents;
	function OSAGetStorageType (scriptData: Handle; var dataType: DescType): OSErr;
	function OSAAddStorageType (scriptData: Handle; dataType: DescType): OSErr;
	function OSARemoveStorageType (scriptData: Handle): OSErr;

implementation
end.